@media screen and (max-width: 1000px) {

    * {
        transition: .6s;
    }


    .nav-bar-item {
        margin: 4rem .7rem 0px .5rem;
    }

    .nav-bar-button {
    }

    .header {
        height: 50vh;
    }

    .header-title {
        font-family: Montserrat, sans-serif;
        color: #ffffff;
        font-size: 72px;
        font-weight: 700;
        line-height: 15px;
        text-align: center;
    }

    .header-sub-title {
        margin: 2rem;
        font-family: Lato, sans-serif;
        color: #8d81ac;
        font-size: 24px;
        font-weight: 400;
        line-height: 15px;
        text-align: center;
    }

    .header-under-sub-title {
        font-family: Montserrat, sans-serif;
        color: #848e97;
        font-size: 14px;
        font-weight: 400;
        line-height: 15px;
        text-align: center;
    }

    .sub-header-just-text {
        font-size: 16px;
    }
}

@media screen and (max-width: 767px) {

    * {
        transition: .4s;
    }

    .header {
        height: 100px;

        &__flex-wrapper {
            display: none;
        }
    }

    .header__burger-menu {
        display: block;
        width: 48px;
        background-color: inherit;
        position: relative;
        color: #ffffff;
        height: 40px;
    }

    #burgerMenuBtn {
        display: none;
    }

    label {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        cursor: pointer;
        z-index: 2;
    }

    .burger-line {
        position: absolute;
        top: 8px;
        right: 10px;
        width: 26px;
        height: 2px;
        background-color: #ffffff;
        transition: .5s all;
    }

    .second-line,
    .third-line {
        top: 18px;
    }

    .fourth-line {
        top: 28px;
    }

    .main-menu {
        z-index: 9999;
        display: block;
        position: absolute;
        width: calc(109vw);
        bottom: -30px;
        right: -54px;
        transform: translateY(100%);
        max-height: 0;
        font-size: 0;
        overflow: hidden;
        transition: .5s all;
        margin-right: auto;
        margin-left: auto;
    }

    .menu_link_mobile {
        height: 6rem;
        font-family: Montserrat, sans-serif;
        margin-left: 2.7rem;
        display: block;
        position: relative;
        width: 100%;
        color: #ffffff;
        text-decoration: none;
        background-color: #303030;
        font-size: 2rem;
        box-sizing: border-box;
        line-height: 1.5;
        border-bottom: 1px solid grey;
        padding-left: 1.3rem;
        padding-top: 21px;
        font-weight: 400;

        &:hover {
            color: #8d81ac;
        }

        &:hover::before {
            content: '';
            width: 0;
            height: 2rem;
            position: absolute;
            border: 2px solid #8e82ad;
            top: 28px;
            left: 0;
            box-sizing: border-box;
        }
    }

    #burgerMenuBtn:checked~.main-menu {
        max-height: 500px;
        font-size: 16px;
    }

    #burgerMenuBtn:checked~.first-line {
        display: none;
    }

    #burgerMenuBtn:checked~.second-line {
        transform: rotate(45deg);
    }

    #burgerMenuBtn:checked~.third-line {
        transform: rotate(-45deg);
    }

    #burgerMenuBtn:checked~.fourth-line {
        display: none;
    }

    .dropdown-menu {
        width: 100%;
        background-color: #303030;
    }

    .dropdown-menu-item {
        font-family: Montserrat, sans-serif;
        color: #ffffff;
        font-size: 32.01px;
        font-weight: 400;
        line-height: 77.765px;
        text-align: left;

        &:hover {
            color: $purple-color;
        }
    }

    .burger {
        margin-left: 2rem;
        transform-origin: center;
    }

    .bar1 {
        width: 35px;
        height: 3px;
        background-color: white;
        margin: 6px 0;
        transition: 0.3s;
        transform-origin: center;
    }

    .bar2,
    .bar3 {
        width: 35px;
        height: 3px;
        background-color: white;
        margin: 6px 0;
        transition: 0.3s;
        transform-origin: center;
    }

    .change .bar1 {
        -webkit-transform: rotate(-50deg) translate(-5px, 6px);
        transform: rotate(-50deg) translate(-5px, 6px);
    }

    .change .bar2 {
        opacity: 0;
    }

    .change .bar3 {
        -webkit-transform: rotate(45deg) translate(-6px, -8px);
        transform: rotate(45deg) translate(-6px, -8px);
    }

    .burger {
        cursor: pointer;
    }

    .nav-bar-title {
        margin-left: 1rem;
    }

    .header-title {
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-size: 50px;
        margin-top: 2rem;
    }

    .header {
        height: 50vh;
        background-image: url("/img/bg-img-header-jpg.jpg");
        background-position: center;
        background-attachment: fixed;
    }

    .header-sub-title {
        margin: 1rem;
        line-height: 30px;
    }

    .header-under-sub-title {
        line-height: 2px;
    }

    .nav-bar-item {
        visibility: hidden;
        clear: both;
        display: none;
    }

    .nav-bar-item-btn {
        display: flex;
        justify-content: center;

    }

    .hamburger {
        display: flex;
        justify-content: space-between;
        width: 30px;
        height: 30px;
        background-color: white;
    }

    .revol-title {
        font-family: Montserrat, sans-serif;
        color: #635c73;
        font-size: 42px;
        font-weight: 700;
        line-height: 35.214px;
        text-align: center;
    }

    .revol-sub-title {
        margin-bottom: 1rem;
        font-family: Lato, sans-serif;
        color: #323232;
        font-size: 16px;
        font-weight: 400;
        line-height: 19.074px;
        text-align: center;
        margin-left: 1rem;
        margin-right: 1rem
    }

    .github-button {
        display: flex;
        justify-content: left;
    }
}

@media screen and (max-width: 320px) {



    .header {
        height: 100px;

        &__flex-wrapper {
            display: none;
        }
    }

    .header__burger-menu {
        display: block;
        width: 48px;
        background-color: inherit;
        position: relative;
        color: #ffffff;
        height: 40px;
    }

    #burgerMenuBtn {
        display: none;
    }

    label {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        cursor: pointer;
        z-index: 2;
    }

    .burger-line {
        position: absolute;
        top: 8px;
        right: 10px;
        width: 26px;
        height: 2px;
        background-color: #ffffff;
        transition: .5s all;
    }

    .second-line,
    .third-line {
        top: 18px;
    }

    .fourth-line {
        top: 28px;
    }

    .main-menu {
        display: block;
        position: absolute;
        width: calc(104vw);
        bottom: -29px;
        right: -22px;
        transform: translateY(100%);
        max-height: 0;
        font-size: 0;
        transition: .5s all;
        margin-right: auto;
        margin-left: auto;
    }

    .menu_link_mobile {
        height: 5rem;
        margin-left: .7rem;
        font-family: Montserrat, sans-serif;
        display: block;
        position: relative;
        width: 100%;
        color: #ffffff;
        text-decoration: none;
        background-color: #303030;
        font-size: 1.5rem;
        box-sizing: border-box;
        line-height: 1.5;
        border-bottom: 1px solid grey;
        padding-left: 1rem;

        &:hover {
            color: #8d81ac;
        }

        &:hover::before {
            content: '';
            width: 0;
            height: 2rem;
            position: absolute;
            border: 2px solid #8e82ad;
            top: 22px;
            box-sizing: border-box;
        }
    }

    #burgerMenuBtn:checked~.main-menu {
        max-height: 500px;
        font-size: 16px;
    }

    #burgerMenuBtn:checked~.first-line {
        display: none;
    }

    #burgerMenuBtn:checked~.second-line {
        transform: rotate(45deg);
    }

    #burgerMenuBtn:checked~.third-line {
        transform: rotate(-45deg);
    }

    #burgerMenuBtn:checked~.fourth-line {
        display: none;
    }


    .bar1 {
        width: 35px;
        height: 3px;
        background-color: white;
        margin: 5px 0;
        transition: 0.3s;
        transform-origin: center;
    }

    .bar2,
    .bar3 {
        width: 35px;
        height: 3px;
        background-color: white;
        margin: 5px 0;
        transition: .3s;
        transform-origin: center;
    }

    .change .bar1 {
        -webkit-transform: rotate(-50deg) translate(-5px, 6px);
        transform: rotate(-50deg) translate(-5px, 6px);
        transform-origin: center;
    }

    .change .bar2 {
        opacity: 0;
        transform-origin: center;
    }

    .change .bar3 {
        -webkit-transform: rotate(45deg) translate(-6px, -8px);
        transform: rotate(45deg) translate(-6px, -8px);
        transform-origin: center;
    }

    .cursor {
        cursor: pointer;
    }

    .nav-bar-title {
        margin-left: 1rem;
    }

    .header-title {
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-size: 50px;
        margin-top: 2rem;
    }

    .header {
        height: 50vh;
        background-image: url("/img/bg-img-header-jpg.jpg");
        background-position: center;
        background-attachment: fixed;
    }

    .header-sub-title {
        line-height: 30px;
    }

    .header-under-sub-title {
        line-height: 2px;
    }

    .nav-bar-title-text,
    .nav-bar-item {
        visibility: hidden;
        clear: both;
        display: none;
    }

    .nav-bar-item-btn {
        display: flex;
        justify-content: center;

    }

    .revol-title {
        font-family: Montserrat, sans-serif;
        color: #635c74;
        font-size: 26px;
        font-weight: 700;
        line-height: 30px;
        text-align: center;
    }

    .revol-sub-title {
        font-family: Lato, sans-serif;
        color: #323232;
        align-items: center;
        font-size: 14px;
        font-weight: 400;
        line-height: 14px;
        text-align: center;
        margin: .5rem 1rem 1rem 1rem;
    }

    .github-button {
        display: flex;
        justify-content: left;
    }
}